/* display.h */

#ifndef _DISPLAY_H_
#define _DISPLAY_H_

#include "common.h"

void display_init(void);
void display_data(uint8_t len, uint8_t *data);
void display_setposition(uint8_t col, uint8_t row);
#define display_settextpos(col, row) display_setposition((col)*6, row)
void display_setinverse(bool on);
void display_putchar(char c);
void display_putstr(char *s);
void display_putstr_P(const char *s);
void display_clearline(void);

#endif
